Redmine - Defect #3780

Attribute exchange with OpenlID providers
2009-08-25 15:08 - Gabor Molnar

Status: Closed Start date: 2009-08-25
Priority: Normal Due date:

Assignee: % Done: 100%
Category: OpenID Estimated time: 0.00 hour
Target version:

Resolution: Wont fix Affected version:

Description

Redmine should "include the attribute exchange parameters to authentication requests to access user information (such as name
and email)" (quote: Google OpenlD documentation), and i think this not what our OpenID implementation does now. As of r2847 , the
attribute exchange doesnt work with Google accounts (this id the only provider i tried), and i think this is a major usability issue with
the recent state of OpenlID support.

Related issues:
Related to Redmine - Defect #11778: openid : Fields not taken when logged in ... Closed

History

#1 - 2009-08-30 21:36 - Stas SUSHKOV

The OpenlD support as it is now is useless.
Please provide a way to define the required user details or enable only the bare basic openid support (just to allow a user to log in).

| would also rise the priority for this issue, though, hope it won't take months to be solved.
Thank you in advance.

#2 - 2009-08-31 19:50 - Tom S

+1

#3 - 2009-09-01 17:27 - Stas SUSHKOV

- Status changed from New to Resolved

Here's a work around (dirty, lazy hack) which works for us with Launchpad's, WordPress's, Yahoo's OpenlID.
Patch here: http://gist.github.com/179159

#4 - 2010-01-17 18:27 - Jean-Philippe Lang

- Assignee set to Eric Davis

#5 - 2010-04-13 03:54 - Anonymous

+1 -- the patch is about the same hack | made, but seeing something more robust built in would be nice.

#6 - 2010-07-03 19:27 - Stas SUSHKOV

Bump!
And soon we make an year.

#7 - 2010-07-14 01:01 - Eric Davis
- Status changed from Resolved to New

- Assignee deleted (Eric Davis)

Stas:

Redmine is developed by a group of volunteers. This hasn't been a high priority feature, which might be why no one has contributed their free time to
build a more robust system for this.

#8 - 2010-07-14 01:34 - Stas SUSHKOV
http://code.google.com/apis/accounts/docs/OpenID.html
https://www.redmine.org/projects/redmine/repository/svn/revisions/2847
http://gist.github.com/179159

Since this is important for me, | might consider spending some time/$ for coding/testing, if you could guide me what exactly is to be expected from
existing patch/features making it a possible fix.

| agree with you and | know what volunteering means, but this was more like an ignorance.

#9 - 2010-07-14 01:34 - Stas SUSHKOV
Thank you.

#10 - 2010-09-12 22:14- M B

+1

#11 - 2010-11-29 12:15 - Ladislav Nesnera
- File redmineOpenliD.png added

Is there any progress in this case or | have some wrong settings? This doesn't look very well ;?(
Redmine 1.0.3.stable.4425 (MySQL)

#12 - 2011-03-24 08:42 - Toshi MARUYAMA

- Category set to Accounts / authentication

#13 - 2011-09-13 10:50 - Etienne Massip

- Category changed from Accounts / authentication to OpenlD

#14 - 2012-01-14 18:59 - Antoine Beaupré

- % Done changed from 0 to 100

there is a fix for this: http:/proj .andriyl k.com/proj nid-fix
why isn't this factored in?!

#15 - 2012-12-16 23:18 - Andrew Dahl

Antoine Beaupré wrote:

there is a fix for this: http://projects.andriylesyuk.com/projects/openid-fix

why isn't this factored in?!
| don't see the fix you refer to, Antoine. (Although, it could have been removed in the last year.) The only changes | see are in the repository and they
involve allowing manual versus on-the-fly creation of users upon login, which Redmine provides currently and doesn't solve the problem this ticket
identifies.

As this is relevant, | posted a patch here => http:/www.redmine.org/issues/11778 <= that handles AX (Attributes Exchange) and works to
auto-register users on Google and Yahoo (and probably others, but | only tested those two). | provide it more as an example of what needs to be
done, but if it were to be pulled in, it does work better than the current implementation.

As well, if you like what you see and would like me to test & verify it across several OpenlD providers (not just Google & Yahoo) and modify the code
to include additional AX attributes as necessary, | can definitely do that and repost!

#16 - 2013-03-15 18:57 - Antoine Beaupré

Direct ref to an issue with a patch: #11778.

#17 - 2021-12-14 01:14 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Wont fix

The OpenlID support has been dropped by #35755 for the upcoming Redmine 5.0.0.
